ApiOzoneSnapshotInfo (cloudera-manager-api-swagger 7.13.1 API)
Date: 2026-05-19

com.cloudera.api.swagger.model

## Class ApiOzoneSnapshotInfo

- java.lang.Object
- - com.cloudera.api.swagger.model.ApiOzoneSnapshotInfo

-     @Generated(value="io.swagger.codegen.v3.generators.java.JavaClientCodegen",
                 date="2026-05-19T08:00:51.241Z[Etc/UTC]")
      public class ApiOzoneSnapshotInfo
      extends Object

  Ozone snapshot information. Reflects the structure of the elements of ozone sh snapshot list ... result.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApiOzoneSnapshotInfo()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApiOzoneSnapshotInfo` | `bucketName(String bucketName)`
    `ApiOzoneSnapshotInfo` | `checkpointDir(String checkpointDir)`
    `ApiOzoneSnapshotInfo` | `creationTime(BigDecimal creationTime)`
    `boolean` | `equals(Object o)`
    `String` | `getBucketName()` Get bucketName
    `String` | `getCheckpointDir()` Get checkpointDir
    `BigDecimal` | `getCreationTime()` Get creationTime
    `String` | `getName()` Get name
    `String` | `getSnapshotId()` Get snapshotId
    `String` | `getSnapshotPath()` Get snapshotPath
    `String` | `getSnapshotStatus()` Get snapshotStatus
    `String` | `getVolumeName()` Get volumeName
    `int` | `hashCode()`
    `ApiOzoneSnapshotInfo` | `name(String name)`
    `void` | `setBucketName(String bucketName)`
    `void` | `setCheckpointDir(String checkpointDir)`
    `void` | `setCreationTime(BigDecimal creationTime)`
    `void` | `setName(String name)`
    `void` | `setSnapshotId(String snapshotId)`
    `void` | `setSnapshotPath(String snapshotPath)`
    `void` | `setSnapshotStatus(String snapshotStatus)`
    `void` | `setVolumeName(String volumeName)`
    `ApiOzoneSnapshotInfo` | `snapshotId(String snapshotId)`
    `ApiOzoneSnapshotInfo` | `snapshotPath(String snapshotPath)`
    `ApiOzoneSnapshotInfo` | `snapshotStatus(String snapshotStatus)`
    `String` | `toString()`
    `ApiOzoneSnapshotInfo` | `volumeName(String volumeName)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ApiOzoneSnapshotInfo

          public ApiOzoneSnapshotInfo()

  - ### Method Detail

    - #### volumeName

          public ApiOzoneSnapshotInfo volumeName(String volumeName)

    - #### getVolumeName

          public String getVolumeName()

      Get volumeName
      Returns:
        volumeName

    - #### setVolumeName

          public void setVolumeName(String volumeName)

    - #### bucketName

          public ApiOzoneSnapshotInfo bucketName(String bucketName)

    - #### getBucketName

          public String getBucketName()

      Get bucketName
      Returns:
        bucketName

    - #### setBucketName

          public void setBucketName(String bucketName)

    - #### name

          public ApiOzoneSnapshotInfo name(String name)

    - #### getName

          public String getName()

      Get name
      Returns:
        name

    - #### setName

          public void setName(String name)

    - #### creationTime

          public ApiOzoneSnapshotInfo creationTime(BigDecimal creationTime)

    - #### getCreationTime

          public BigDecimal getCreationTime()

      Get creationTime
      Returns:
        creationTime

    - #### setCreationTime

          public void setCreationTime(BigDecimal creationTime)

    - #### snapshotStatus

          public ApiOzoneSnapshotInfo snapshotStatus(String snapshotStatus)

    - #### getSnapshotStatus

          public String getSnapshotStatus()

      Get snapshotStatus
      Returns:
        snapshotStatus

    - #### setSnapshotStatus

          public void setSnapshotStatus(String snapshotStatus)

    - #### snapshotId

          public ApiOzoneSnapshotInfo snapshotId(String snapshotId)

    - #### getSnapshotId

          public String getSnapshotId()

      Get snapshotId
      Returns:
        snapshotId

    - #### setSnapshotId

          public void setSnapshotId(String snapshotId)

    - #### snapshotPath

          public ApiOzoneSnapshotInfo snapshotPath(String snapshotPath)

    - #### getSnapshotPath

          public String getSnapshotPath()

      Get snapshotPath
      Returns:
        snapshotPath

    - #### setSnapshotPath

          public void setSnapshotPath(String snapshotPath)

    - #### checkpointDir

          public ApiOzoneSnapshotInfo checkpointDir(String checkpointDir)

    - #### getCheckpointDir

          public String getCheckpointDir()

      Get checkpointDir
      Returns:
        checkpointDir

    - #### setCheckpointDir

          public void setCheckpointDir(String checkpointDir)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2026. All rights reserved.